// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      throw UnsupportedError(
        'DefaultFirebaseOptions have not been configured for web - '
        'you can reconfigure this by running the FlutterFire CLI again.',
      );
    }
    // ignore: missing_enum_constant_in_switch
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
    }

    throw UnsupportedError(
      'DefaultFirebaseOptions are not supported for this platform.',
    );
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDYG1RRVp4F91AkL4siGduxiillRKsyq8s',
    appId: '1:573248773557:android:86b16c75dd36866ee18dfc',
    messagingSenderId: '573248773557',
    projectId: 'beaconsmind-322811',
    storageBucket: 'beaconsmind-322811.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCS74gVdclQL9lUIQgviv9xUxghd-Une04',
    appId: '1:573248773557:ios:718c6706c3f4cf24e18dfc',
    messagingSenderId: '573248773557',
    projectId: 'beaconsmind-322811',
    storageBucket: 'beaconsmind-322811.appspot.com',
    iosClientId:
        '573248773557-143vjabim1lu07c8d1adrikr2ul0g27n.apps.googleusercontent.com',
    iosBundleId: 'com.beaconsmind.flutterdemo',
  );
}
